List Incident Workflows
List existing Incident Workflows.
This is the best method to use to list all Incident Workflows in your account. If your use case requires listing Incident Workflows associated with a particular Service, you can use the "List Triggers" method to find Incident Workflows configured to start for Incidents in a given Service.
An Incident Workflow is a sequence of configurable Steps and associated Triggers that can execute automated Actions for a given Incident.
Scoped OAuth requires: incident_workflows.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseFilters the result, showing only the records whose name matches the query.
Array of additional details to include.
Value in
- "steps"
- "team"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
List Triggers GET
List existing Incident Workflow Triggers Scoped OAuth requires: `incident_workflows.read`
Create an Incident Workflow POST
Create a new Incident Workflow An Incident Workflow is a sequence of configurable Steps and associated Triggers that can execute automated Actions for a given Incident. Scoped OAuth requires: `incident_workflows.write`